For the complete documentation index, see llms.txt. This page is also available as Markdown.

Call queue blacklisted numbers

List call queue blacklisted numbers

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/call_queue_blacklisted_numbers

Add a call queue blacklisted number

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
numberstring · min: 1 · max: 64Required

The blacklisted number, a string value contains a valid telephone number or extension number.

Pattern: [0-9+]{1,64}
levelstring · enumRequired

Blacklisted number's level:

  • FIRST: A first level blacklisted number.
  • SECOND: A second level blacklisted number.
Possible values:
longitudestringOptional

Blacklisted number's longitude.

latitudestringOptional

Blacklisted number's latitude.

addressstring · max: 128Optional

The address.

expire_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
trigger_timesinteger · int32Optional

Blacklisted number have been triggered for this times.

enabledbooleanOptional

Enable the blacklisted number or not.

Default: true
descriptionstring · max: 1024Optional

Blacklisted number's description.

Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/call_queue_blacklisted_numbers

Retrieve a call queue blacklisted number

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
numberstring · min: 1 · max: 64Optional

The blacklisted number, a string value contains a valid telephone number or extension number.

Pattern: [0-9+]{1,64}
levelstring · enumOptional

Blacklisted number's level:

  • FIRST: A first level blacklisted number.
  • SECOND: A second level blacklisted number.
Possible values:
longitudestringOptional

Blacklisted number's longitude.

latitudestringOptional

Blacklisted number's latitude.

addressstring · max: 128Optional

The address.

created_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
updated_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
expire_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
trigger_timesinteger · int32Optional

Blacklisted number have been triggered for this times.

enabledbooleanOptional

Enable the blacklisted number or not.

Default: true
descriptionstring · max: 1024Optional

Blacklisted number's description.

get/call_queue_blacklisted_numbers/{id}

Update a call queue blacklisted number

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
numberstring · min: 1 · max: 64Optional

The blacklisted number, a string value contains a valid telephone number or extension number.

Pattern: [0-9+]{1,64}
levelstring · enumOptional

Blacklisted number's level:

  • FIRST: A first level blacklisted number.
  • SECOND: A second level blacklisted number.
Possible values:
longitudestringOptional

Blacklisted number's longitude.

latitudestringOptional

Blacklisted number's latitude.

addressstring · max: 128Optional

The address.

expire_atstring · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
trigger_timesinteger · int32Optional

Blacklisted number have been triggered for this times.

enabledbooleanOptional

Enable the blacklisted number or not.

Default: true
descriptionstring · max: 1024Optional

Blacklisted number's description.

Responses
200

OK

No content

post/call_queue_blacklisted_numbers/{id}

No content

Was this helpful?